/* font size buat boxicons */
.bx {
    font-size: inherit !important;
}

.menu-sub {
    padding-left: 0 !important;
    margin-left: 0 !important;
}

.menu-sub .menu-link {
    padding-left: 25px !important;
    display: flex;
    align-items: center;
    gap: 8px;
}

.menu-sub .menu-link::before {
    display: none !important;
    content: none !important;
}

.menu-sub .menu-item.active > .menu-link,
.menu-sub .menu-item.active > .menu-link .text-truncate {
    color: #696cff !important;
    font-weight: 600;
}

/* .menu-sub .menu-item.active i {
    color: #696cff !important;
    font-weight: 500;
} */

/* untuk search spinner */
.table-container {
    position: relative;
}

.htmx-indicator {
    display: none;
}

.htmx-request.htmx-indicator {
    display: block;
}

.table-container #search-loading {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.05);
    z-index: 1000;
    justify-content: center;
    align-items: center;
}

.table-container .loading-spinner {
    border: 4px solid #f3f3f3;
    border-top: 4px solid #3498db;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    animation: loading-spin 1s linear infinite;
}

@keyframes loading-spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.dropdown-style-switcher {
    background: #f2f2f2;
    border: none;
    border-radius: 8px;
    margin-right: 10px !important;
}

/* =========================
   Welcome Page Responsive
========================= */

.welcome-logo {
    max-width: 320px;
}

.welcome-description {
    max-width: 560px;
    text-align: justify;
}

/* Mobile optimization */
@media (max-width: 768px) {

    .welcome-logo {
        max-width: 180px;
        margin-bottom: 20px;
    }

    .welcome-description {
        text-align: justify;
        font-size: 14px;
        padding: 0 10px;
    }

    h2 {
        font-size: 22px;
    }

    h5 {
        font-size: 16px;
    }
}
